Subject: Re: [PATCH] zsh x font family completion
From: Marko Myllynen <[email-masked]>
To: Mikael Magnusson <[email-masked]>
Cc: zsh workers <[email-masked]>
Date: Wed, 11 May 2016 14:53:55 +0300
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Hi,

On 2016-05-09 16:04, Mikael Magnusson wrote:
> On Mon, May 9, 2016 at 2:54 PM, Marko Myllynen <[email-masked]> wrote:
>>
>> I'm working on completions for a command which has an option to select
>> the font family to use, I was wondering whether X font family
>> completions would be worthwhile to add for others to use as well?
>>
>> Currently there's no any kind of caching, not sure would that be needed
>> on modern systems? When I looked at x_font for inspiration, it had a
>> big fat sign that its caching "*has* to be improved" so not sure what
>> would be considered elegant or optimal here.
>>
>> +_wanted font-families expl 'font family' compadd "$@" \
>> +  ${(f)"$(fc-list : -f "%{family|downcase|delete( )|translate(\,,\n)}\n")"}
>>
> 
> It would probably be less confusing if this was called
> _fc_font_family, since X fonts are something else. This one should
> probably not even be in the X/ directory.

Fair enough - would you happen to have any suggestions on the new name
and location, I could send an updated patch then?

Thanks,

-- 
Marko Myllynen